이 문서는 테스트에이드(TESTaide) - 테스트 관리(test management) 솔루션을 설치하기 위해 필요한 SW/HW 요구사항을 공유하기 위해 작성되었습니다. 이 문서에 명시되어있지 않은 플랫폼 또는 특정 플랫폼의 버전은 지원하지 않습니다.


소프트웨어 요구사항

테스트에이드(TESTaide)의 지원 플랫폼은 다음과 같습니다. 


항목사용비고
Java

지원되는 Java 버전은 다음과 같습니다.

  • Oracle JRE / JDK Java 8 161 이상 버전
  • AdoptOpenJDK Java 8 161 이상 버전

* Java 11 이상 버전은 지원하지 않습니다.


운영체제

지원되는 OS 버전은 다음과 같습니다.

  • Linux
  • Microsoft Windows (Beta Version)

브라우저

최소 지원 해상도는 1024 * 768 이며, 지원되는 브라우저는 다음과 같습니다.

  • Chrome 최신 버전
  • Mozilla Firefox 최신 버전

데이터베이스

지원되는 데이터베이스는 다음과 같습니다.

  • H2 내장 (평가용)
  • PostgreSQL 9.6 버전 이상
  • MySQL 5.7.x 버전

WASApplication Server는 Tomcat(Spring Boot)이 내장되어 있으며 별도의 서버를 구성할 수 없습니다.

하드웨어 요구사항

테스트에이드(TESTaide)의 운영한 원활한 사용을 위해 최소 다음과 같은 하드웨어 사양이 요구됩니다. 

항목사양
CPU4 Core 이상
Memory8 G 이상
HDD5 G 이상